# $Revision: 1.13 $, $Date: 2012/05/17 19:29:06 $
#
# Conditional build:
%bcond_with	gtk2		# build with gtk+2 (default is gtk+3)
%bcond_without	xfce		# Xfce 4 selector
#
Summary:	Desktop Input Method configuration tool
Summary(pl.UTF-8):	Narzędzie do konfiguracji metod wprowadzania znaków dla środowiska graficznego
Name:		im-chooser
Version:	1.5.2.2
Release:	2
License:	GPL v2
Group:		Applications
Source0:	http://fedorahosted.org/releases/i/m/im-chooser/%{name}-%{version}.tar.bz2
# Source0-md5:	4e6ad1c6ecb19013ccbf3a32d607e052
Patch0:		%{name}-imchooserui.patch
URL:		http://fedorahosted.org/im-chooser/
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	imsettings-devel >= 1.2.0
%{?with_xfce:BuildRequires:	libxfce4util-devel}
BuildRequires:	xorg-lib-libSM-devel
%if %{with gtk2}
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildConflicts:	gtk+3-devel
%else
BuildRequires:	gtk+3-devel >= 3.0.0
#BuildRequires:	gnome-control-center-devel >= 3.0.0
%endif
Requires:	imsettings >= 1.2.0
Obsoletes:	im-chooser-gnome3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

%description -l pl.UTF-8
im-chooser to graficzne narzędzie do konfiguracji pozwalające na
wybór metody wprowadzania znaków (Input Method) lub wyłączenie
użycia IM w środowisku graficznym.

%package xfce
Summary:	im-chooser application for Xfce 4
Summary(pl.UTF-8):	Aplikacja im-chooser dla Xfce 4
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description xfce
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

This package contains the Xfce 4 application.

%description xfce -l pl.UTF-8
im-chooser to graficzne narzędzie do konfiguracji pozwalające na
wybór metody wprowadzania znaków (Input Method) lub wyłączenie
użycia IM w środowisku graficznym.

Ten pakiet zawiera aplikację przeznaczoną dla Xfce 4.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libimchooseui.{so,la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/im-chooser
%attr(755,root,root) %{_libdir}/libimchooseui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimchooseui.so.0
%{_datadir}/imchooseui
%{_desktopdir}/im-chooser.desktop
%{_iconsdir}/hicolor/*/apps/im-chooser.png

%if %{with xfce}
%files xfce
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xfce4-im-chooser
%{_desktopdir}/xfce4-im-chooser.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: im-chooser.spec,v $
Revision 1.13  2012/05/17 19:29:06  baggins
- release 2

Revision 1.12  2012/04/21 06:14:34  qboosh
- updated to 1.5.2.2

Revision 1.11  2012/03/28 07:26:03  arekm
- release 2

Revision 1.10  2012/03/21 18:56:12  qboosh
- updated to 1.5.2.1

Revision 1.9  2012/02/12 08:11:01  arekm
- release 5

Revision 1.8  2012/02/07 22:02:53  arekm
- release 4

Revision 1.7  2011/12/20 19:38:52  arekm
- release 3

Revision 1.6  2011/12/06 12:46:57  lisu
- rel 2

Revision 1.5  2011/12/06 12:43:30  lisu
- fixed build

Revision 1.4  2011/11/27 12:48:44  qboosh
- updated to 1.5.2

Revision 1.3  2011/11/06 12:27:24  qboosh
- updated to 1.5.1
- removed obsolete enable-apps-in-gnome patch
- added xfce subpackage
- no ccpanel module in this version

Revision 1.2  2011/07/17 20:39:08  baggins
- rel 2
- ldconfig added

Revision 1.1  2011/07/17 20:07:18  baggins
- initial revision
